Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CONV_FRAME::CodeSetComponent_var Class Reference

`#include <CONV_FRAMEC.h>`

Collaboration diagram for CONV_FRAME::CodeSetComponent_var:

[legend]
List of all members.

## Public Methods
| CodeSetComponent_var (void)
| CodeSetComponent_var (CodeSetComponent *)
| CodeSetComponent_var (const CodeSetComponent_var &)
| ~CodeSetComponent_var (void)
CodeSetComponent_var & | operator= (CodeSetComponent *)
CodeSetComponent_var & | operator= (const CodeSetComponent_var &)
CodeSetComponent * | operator-> (void)
const CodeSetComponent * | operator-> (void) const
| operator const CodeSetComponent & () const
| operator CodeSetComponent & ()
| operator CodeSetComponent & () const
const CodeSetComponent & | in (void) const
CodeSetComponent & | inout (void)
CodeSetComponent *& | out (void)
CodeSetComponent * | _retn (void)
CodeSetComponent * | ptr (void) const
## Private Attributes
CodeSetComponent * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CONV_FRAME::CodeSetComponent_var::CodeSetComponent_var | ( | void |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent_var::CodeSetComponent_var | ( | CONV_FRAME::CodeSetComponent * | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent_var::CodeSetComponent_var | ( | const CodeSetComponent_var & | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent_var::~CodeSetComponent_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CONV_FRAME::CodeSetComponent * CONV_FRAME::CodeSetComponent_var::_retn | ( | void |  | ) |

ACE_INLINE const CONV_FRAME::CodeSetComponent & CONV_FRAME::CodeSetComponent_var::in | ( | void |  | ) | const

ACE_INLINE CONV_FRAME::CodeSetComponent & CONV_FRAME::CodeSetComponent_var::inout | ( | void |  | ) |

CONV_FRAME::CodeSetComponent_var::operator CodeSetComponent & | ( |  | ) | const

CONV_FRAME::CodeSetComponent_var::operator CodeSetComponent & | ( |  | ) |

CONV_FRAME::CodeSetComponent_var::operator const CodeSetComponent & | ( |  | ) | const

ACE_INLINE const CONV_FRAME::CodeSetComponent * CONV_FRAME::CodeSetComponent_var::operator-> | ( | void |  | ) | const

ACE_INLINE CONV_FRAME::CodeSetComponent * CONV_FRAME::CodeSetComponent_var::operator-> | ( | void |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent_var & CONV_FRAME::CodeSetComponent_var::operator= | ( | const CodeSetComponent_var & | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent_var & CONV_FRAME::CodeSetComponent_var::operator= | ( | CONV_FRAME::CodeSetComponent * | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent *& CONV_FRAME::CodeSetComponent_var::out | ( | void |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent * CONV_FRAME::CodeSetComponent_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CodeSetComponent* CONV_FRAME::CodeSetComponent_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- CONV_FRAMEC.h
- CONV_FRAMEC.i